{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>time_tracking_categories:write</code>\n\nCreates a new time tracking category in a given workspace.\n\nReturns the record of the newly created time tracking category.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["color","is_archived","name"]},"examples":[["color","is_archived","name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/TimeTrackingCategoryCreateRequest"}}}},"required":["body"],"additionalProperties":false,"definitions":{"TimeTrackingCategoryCreateRequest":{"allOf":[{"$ref":"#/definitions/TimeTrackingCategoryBaseRequest"},{"type":"object","required":["workspace","name"],"properties":{"workspace":{"description":"Globally unique identifier for the workspace.","type":"string","examples":["12345"]}}}]},"TimeTrackingCategoryBaseRequest":{"type":"object","properties":{"name":{"description":"The name of the time tracking category (e.g., 'Development', 'Meetings').","type":"string","examples":["Development"]},"color":{"description":"The color associated with this category for display purposes.","type":"string","enum":["none","red","orange","yellow-orange","yellow","yellow-green","green","blue-green","aqua","blue","indigo","purple","magenta","hot-pink","pink","cool-gray"],"examples":["blue"]}}}}},"name":"Create a time tracking category","id":"asana.createtimetrackingcategory","example":{"body":{}},"maxRequests":1,"summary":false}}